/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.openjpa.integration.validation;

import java.util.HashMap;
import java.util.Map;

import org.apache.openjpa.persistence.OpenJPAEntityManagerFactorySPI;
import org.apache.openjpa.persistence.OpenJPAPersistence;
import org.apache.openjpa.persistence.test.AbstractPersistenceTestCase;

public class TestEagerInit extends AbstractPersistenceTestCase {
    OpenJPAEntityManagerFactorySPI _emf;

    @Override
    public void setUp() throws Exception {
        super.setUp();
        Map<String, String> props = new HashMap<String, String>();
        props.put("openjpa.InitializeEagerly", "true");
        _emf =
            (OpenJPAEntityManagerFactorySPI) OpenJPAPersistence.createEntityManagerFactory("simple-callback-mode",
                "org/apache/openjpa/integration/validation/persistence.xml", props);
    }

    @Override
    public void tearDown() throws Exception {
        super.tearDown();
        _emf.close();
    }

    public void testNonNullEmf() {
        assertNotNull(_emf);
    }
}
